      subroutine Wvlcty (tile, Wvlc)      


      use Agrif_Util
#include "Param_BeforeCall_Wvlcty.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,1:N) :: Wvlc
      integer(4) :: tile
      

        call Sub_Loop_Wvlcty(tile,Wvlc, Agrif_tabvars_i(15)%iarray0, Agr
     &if_tabvars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_
     &i(7)%iarray0, Agrif_tabvars_i(16)%iarray0, Agrif_tabvars_i(14)%iar
     &ray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agr
     &if_tabvars_i(2)%iarray0)

      end


#include "Sub_Loop_Wvlcty.h"
      subroutine wvlcty_tile (Istr,Iend,Jstr,Jend, Wvlc,
     &                                   Wrk, Wxi, Weta)      


      use Agrif_Util
#include "Param_BeforeCall_wvlcty_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(14)%
     &iarray0,1:N) :: Wvlc
      real, dimension(Istr-2:Iend+2,0:N) :: Wrk
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Wxi
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Weta
      

        call Sub_Loop_wvlcty_tile(Istr,Iend,Jstr,Jend,Wvlc,Wrk,Wxi,Weta,
     & Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_ta
     &bvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_l(1
     &3)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larra
     &y0, Agrif_tabvars_l(12)%larray0, Agrif_tabvars(149)%array4, Agrif_
     &tabvars(142)%array3, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(1
     &50)%array4, Agrif_tabvars(144)%array3, Agrif_tabvars(145)%array3, 
     &Agrif_tabvars(103)%array2, Agrif_tabvars(104)%array2)

      end


#include "Sub_Loop_wvlcty_tile.h"
